Plugin Update Package
Replace the package archive for a supervised plugin installation. The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.
Replace the package archive for a supervised plugin installation.
The uploaded package manifest must have the same plugin ID as the currently installed plugin. If the plugin is active, it is restarted using the new package. If inactive, the package is replaced without changing active state.
/plugins/{plugin_instance_id}/packageAuthorization
browser In: cookie
Path Parameters
Plugin ID.
xidRequest Body
application/zip
binaryResponse Body
application/json
application/json
curl -X PATCH "https://loading/api/plugins/cc5lnd2s1s4652adtu50/package" \ -H "Content-Type: application/zip" \ -d 'string'{
"id": "cc5lnd2s1s4652adtu50",
"added_at": "2019-08-24T14:15:22Z",
"name": "string",
"description": "string",
"version": "string",
"status": {
"active_state": "inactive",
"deactivated_at": "2019-08-24T14:15:22Z"
},
"manifest": {},
"connection": {
"mode": "supervised"
}
}{
"error": "string",
"message": "string",
"suggested": "string",
"metadata": {}
}Plugin Update Manifest PATCH
Update the manifest for a plugin. This is used for development of plugins where the manifest may change frequently and it's useful to be able to update it without re-uploading the entire plugin bundle. This only works for External plugins that were created by uploading a manifest directly. It does not work for Supervised plugins.
Role Create POST
Creates a role with the specified permissions granted.